Name:    xmlstarlet
Version: 1.3.1
Release: %mkrel 2
Summary: Command Line XML Toolkit
Group:   Text tools
License: MIT
URL: http://xmlstar.sourceforge.net/
Source0: http://downloads.sourceforge.net/xmlstar/%{name}-%{version}.tar.gz
Patch0: xmlstarlet-1.0.6-gendoc.patch

BuildRequires: xmlto automake autoconf libxslt-devel
BuildRequires: libxml2-devel >= 2.6.23
BuildRequires: docbook-style-xsl

%description
XMLStarlet is a set of command line utilities which can be used
to transform, query, validate, and edit XML documents and files
using simple set of shell commands in similar way it is done for
plain text files using UNIX grep, sed, awk, diff, patch, join, etc
commands.

%prep
%setup -q
%patch0 -p1 -b .gendoc


%build
autoreconf -fi
%configure2_5x --disable-static-libs \
	--with-libxml-include-prefix=%{_includedir}/libxml2
%make
pushd doc
xmlto man xmlstarlet-man.xml
xmlto html-nochunks xmlstarlet-ug.xml
./gen-doc > xmlstarlet.txt
popd

%install
%makeinstall_std
# Avoid name kludging in autotools
mv $RPM_BUILD_ROOT%{_bindir}/xml $RPM_BUILD_ROOT%{_bindir}/xmlstarlet

%files
%doc AUTHORS ChangeLog NEWS README Copyright TODO doc/xmlstarlet.txt doc/xmlstarlet-ug.html
%{_mandir}/man1/xmlstarlet.1*
%{_bindir}/xmlstarlet


%changelog

* Sat Jan 19 2013 fwang <fwang> 1.3.1-2.mga3
+ Revision: 389790
- specify libxml includedir
- cleanup sepc

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 tmb <tmb> 1.3.1-1.mga2
+ Revision: 220550
- BR docbook-style-xsl
- fix group
- clean spec
- import from fedora

